Bug 179506 - RHEL3, gnupg-1.2.1-10, gpg: Creates corrupt files (probably 2GB problem)
RHEL3, gnupg-1.2.1-10, gpg: Creates corrupt files (probably 2GB problem)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnupg (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 17:00 EST by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0266
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:31:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Nalin Dahyabhai 2006-02-01 21:51:09 EST
The bug here is that when creating a .gpg file from a large
unencrypted file on disk, gnupg only reads the first (SIZE % 2^32)
bytes of the file instead of its entire contents.  So of course
extracting the original file from the .gpg file doesn't work.

This looks to have been fixed in the 1.2.5 release.  Built a test
fix as gnupg-1.2.1-12.
Comment 9 Mark J. Cox (Product Security) 2006-03-14 17:19:32 EST
Text of issue:

we discovered this problem with "gpg":

After "gpg -c 24GBdataset.tar" (for symmetric encryption with passphrase) the
resulting file is not decryptable/ corrupt !

It gives:
  evebe607 - root - /usr2/ptmp - 
  24#: gpg --decrypt  ensight-segv.tar.gpg >x.tar
  gpg: CAST5 encrypted data
------------->  Here I give the correct password
-----------> it decrypts for about 2 minutes
  gpg: [don't know]: invalid packet (ctb=45)
  gpg: [don't know]: invalid packet (ctb=3c)
  gpg: WARNING: message was not integrity protected
  gpg: the IDEA cipher plugin is not present
  gpg: please see http://www.gnupg.org/why-not-idea.html for more information
  gpg: IDEA cipher unavailable, optimistically attempting to use CAST5 instead
  Enter passphrase: 
-------------> here the passphrase is asked again !!!
----------> on disk I can find a 2.8GB "x.tar":  2785370112 Jan 31 09:26 x.tar
-------------> I enter the correct passphrase again:
  gpg: decryption failed: bad key
  gpg: fatal: cipher_decrypt: invalid mode 0
  secmem usage: 1408/2208 bytes in 2/5 blocks of pool 2208/16384
--> termination

Expected Result: gpg should not create a corrupt file, gpg should be able to create
the same file as was used for ancryption as the result of decryption.

Comment 12 Red Hat Bugzilla 2006-03-15 11:31:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0266.html

Note You need to log in before you can comment on or make changes to this bug.